For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
        • Abandoned Carts
        • Carts
        • Channels
        • Checkouts
        • Currencies
        • Customer Segmentation
        • Geography
        • Infrastructure Hosting
        • Inventory
        • Orders
            • GETGet Order
            • PUTUpdate Order
            • DELArchive Order
            • GETGet Count of Orders
            • GETList Orders
            • POSTCreate Order
            • DELDelete All Orders
              • GETList Fees
        • Order Operations
        • Pickup
        • Pickup Methods
        • Pickup Options
        • Pricing
        • Price Lists
        • Promotions
        • Promotion Settings
        • Redirects
        • Scripts
        • Settings
        • Shipping
        • Sites
        • Subscribers
        • System Logs
        • Tax
        • Wishlists
      • Payments
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTAdminManagementOrdersOrder Fees

List Fees

GET
https://api.bigcommerce.com/stores/:store_hash/v2/orders/:order_id/fees
GET
/stores/:store_hash/v2/orders/:order_id/fees
$curl https://api.bigcommerce.com/stores/store_hash/v2/orders/1/fees \
> -H "X-Auth-Token: <apiKey>"
1{
2 "fees": [
3 {
4 "id": 1,
5 "type": "custom_fee",
6 "display_name_customer": "A Fee",
7 "display_name_merchant": "A Fee",
8 "source": "AA",
9 "base_cost": "12.3000",
10 "cost_exc_tax": "12.3000",
11 "cost_inc_tax": "12.3000",
12 "cost_tax": "0.0000",
13 "tax_class_id": 22
14 },
15 {
16 "id": 2,
17 "type": "custom_fee",
18 "display_name_customer": "B Fee",
19 "display_name_merchant": "B Fee",
20 "source": "AA",
21 "base_cost": "4.0000",
22 "cost_ex_tax": "4.0000",
23 "cost_inc_tax": "12.0000",
24 "cost_tax": "8.0000",
25 "tax_class_id": null
26 }
27 ]
28}
Get all fees for an order.
Was this page helpful?
Previous

List Order Coupons

Next

List Order Messages

Built with

Authentication

X-Auth-Tokenstring
### OAuth scopes | UI Name | Permission | Parameter | |:--------|:-----------|:----------| | Orders | modify | `store_v2_orders` | | Orders | read-only | `store_v2_orders_read_only` | ### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#api-accounts). | ### Further reading For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).

Path parameters

order_idintegerRequired
ID of the order.
store_hashstringRequired
Permanent ID of the BigCommerce store.

Response

OK
idinteger
The unique numeric identifier of the fees object.
typeenum
The type of the fee.
Allowed values:
display_name_customerstring
The display name of the fee targeting customers.
display_name_merchantstring
The display name of the fee targeting shoppers.
sourcestring
The source of the request.
base_coststring or double

The base fee cost value. (Float, Float-As-String, Integer)

cost_ex_taxstring or double

The fee cost value excluding tax. (Float, Float-As-String, Integer)

cost_inc_taxstring or double

The fee cost value including tax. (Float, Float-As-String, Integer)

cost_taxstring or double

The tax amount on the fee cost. (Float, Float-As-String, Integer)

tax_class_idinteger or null
A unique numeric identifier for the tax class. If not persisted or null, the default fee tax class from the control panel is used.

Errors

404
Not Found Error

OAuth scopes

UI NamePermissionParameter
Ordersmodifystore_v2_orders
Ordersread-onlystore_v2_orders_read_only

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.